<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-79"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FTipView%2FMainTabTipWindowManager.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/TipView/MainTabTipWindowManager.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_main_tab_tip_window_manager_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">MainTabTipWindowManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_main_tab_tip_window_manager_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="protocol_main_tab_tip_window_manager_delegate-p.html#a56d9f00adab92477e35dd7f4ed56eee8">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  MainTabTipWindowManager.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by wujian on 2019/7/4.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2019 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="protocol_main_tab_tip_window_manager_delegate-p.html">   11</a></span>&nbsp;<span class="keyword">@protocol </span><a class="code" href="protocol_main_tab_tip_window_manager_delegate-p.html">MainTabTipWindowManagerDelegate</a> &lt;NSObject&gt;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;- (void)<a class="code" href="protocol_main_tab_tip_window_manager_delegate-p.html#a56d9f00adab92477e35dd7f4ed56eee8">tipViewDismiss</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="interface_main_tab_tip_window_manager.html">   17</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a> : NSObject</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, weak) id &lt;MainTabTipWindowManagerDelegate&gt; <a class="code" href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">delegate</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;+ (NSUInteger)<a class="code" href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">tabBarTipShowStep</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;+ (void)saveTabBarTipShowStep:(NSUInteger)step;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;<span class="comment">// TODO: 判断是否已经显示完TabBarTip  目前只显示学习和我的界面，后期如果减少/增加tabBarTip的个数，这里也需要修改</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;+(BOOL)<a class="code" href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">showedTabBarTip</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;- (void)showTipViewWithTitle:(NSString *)title dotPoint:(CGPoint)point emptyReact:(CGRect)react;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_ab0ecabe8581c7181407ce9f5112eeb10"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">+[MainTabTipWindowManager showedTabBarTip]</a></div><div class="ttdeci">BOOL showedTabBarTip()</div><div class="ttdef"><b>Definition:</b> MainTabTipWindowManager.m:51</div></div>
<div class="ttc" id="aprotocol_main_tab_tip_window_manager_delegate-p_html_a56d9f00adab92477e35dd7f4ed56eee8"><div class="ttname"><a href="protocol_main_tab_tip_window_manager_delegate-p.html#a56d9f00adab92477e35dd7f4ed56eee8">-[MainTabTipWindowManagerDelegate-p tipViewDismiss]</a></div><div class="ttdeci">void tipViewDismiss()</div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_a5c0d01f9c2444529d00d73f648a14f9d"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">MainTabTipWindowManager::delegate</a></div><div class="ttdeci">id&lt; MainTabTipWindowManagerDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> MainTabTipWindowManager.h:19</div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html_a63e9625915bd7a62fdba15ea2ec49441"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">+[MainTabTipWindowManager tabBarTipShowStep]</a></div><div class="ttdeci">NSUInteger tabBarTipShowStep()</div><div class="ttdoc">0需要展示两个 1只需要展示我的tab提示 2不需要展示</div><div class="ttdef"><b>Definition:</b> MainTabTipWindowManager.m:37</div></div>
<div class="ttc" id="ainterface_main_tab_tip_window_manager_html"><div class="ttname"><a href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a></div><div class="ttdef"><b>Definition:</b> MainTabTipWindowManager.h:18</div></div>
<div class="ttc" id="aprotocol_main_tab_tip_window_manager_delegate-p_html"><div class="ttname"><a href="protocol_main_tab_tip_window_manager_delegate-p.html">MainTabTipWindowManagerDelegate-p</a></div><div class="ttdef"><b>Definition:</b> MainTabTipWindowManager.h:11</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_8343b9fe14d1994cab95108039174d66.html">TipView</a></li><li class="navelem"><a class="el" href="_main_tab_tip_window_manager_8h.html">MainTabTipWindowManager.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>